Schema "fpml-main-5-3.xsd"
Target Namespace:

  http://www.fpml.org/FpML-5/transparency

Version:

  $Revision: 8750 $

Defined Components:

  1 global element

Default Namespace-Qualified Form:

  Local Elements: qualified; Local Attributes: unqualified

Schema Location:

  C:\Irina-Local\SVN-FpML\trunk\xml\transparency\fpml-main-5-3.xsd; see XML source

Includes Schemas (13):

  fpml-bond-option-5-3.xsd [src], fpml-cd-5-3.xsd [src], fpml-com-5-3.xsd [src], fpml-correlation-swaps-5-3.xsd [src], fpml-dividend-swaps-5-3.xsd [src], fpml-eqd-5-3.xsd [src], fpml-fx-5-3.xsd [src], fpml-generic-5-3.xsd [src], fpml-ird-5-3.xsd [src], fpml-return-swaps-5-3.xsd [src], fpml-standard-5-3.xsd [src], fpml-transparency-processes-5-3.xsd [src], fpml-variance-swaps-5-3.xsd [src]

Annotation
Annotation 1 [src]:
products
Annotation 2 [src]:
business process messaging
Annotation 3 [src]:
reporting and settlement

All Element Summary
dataDocument | A document containing trade and/or portfolio and/or party data without expressing any processing intention.
Type: | DataDocument
Content: | complex, 3 attributes, 7 elements
Defined: | globally; see XML source
Used: | never

XML Source

<?xml version="1.0" encoding="utf-8"?> <!-- == Copyright (c) 2002-2011 All rights reserved. == Financial Products Markup Language is subject to the FpML public license. == A copy of this license is available at http://www.fpml.org/license/license.html --> <xsd:schema attributeFormDefault="unqualified" ecore:documentRoot="FpML" ecore:nsPrefix="trnsp" ecore:package="org.fpml.transparency" elementFormDefault="qualified" targetNamespace="http://www.fpml.org/FpML-5/transparency" version="$Revision: 8750 $" xmlns="http://www.fpml.org/FpML-5/transparency" xmlns:dsig="http://www.w3.org/2000/09/xmldsig#" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:fpml-annotation="http://www.fpml.org/annotation" xmlns:xsd="http://www.w3.org/2001/XMLSchema"> <xsd:annotation> <xsd:documentation xml:lang="en">products</xsd:documentation> </xsd:annotation> <xsd:include schemaLocation="fpml-generic-5-3.xsd"/> <xsd:include schemaLocation="fpml-standard-5-3.xsd"/> <xsd:include schemaLocation="fpml-ird-5-3.xsd"/> <xsd:include schemaLocation="fpml-fx-5-3.xsd"/> <xsd:include schemaLocation="fpml-eqd-5-3.xsd"/> <xsd:include schemaLocation="fpml-return-swaps-5-3.xsd"/> <xsd:include schemaLocation="fpml-cd-5-3.xsd"/> <xsd:include schemaLocation="fpml-bond-option-5-3.xsd"/> <xsd:include schemaLocation="fpml-correlation-swaps-5-3.xsd"/> <xsd:include schemaLocation="fpml-dividend-swaps-5-3.xsd"/> <xsd:include schemaLocation="fpml-variance-swaps-5-3.xsd"/> <xsd:include schemaLocation="fpml-com-5-3.xsd"/> <xsd:annotation> <xsd:documentation xml:lang="en">business process messaging</xsd:documentation> </xsd:annotation> <xsd:annotation> <xsd:documentation xml:lang="en">reporting and settlement</xsd:documentation> </xsd:annotation> <xsd:include schemaLocation="fpml-transparency-processes-5-3.xsd"/> <!--View Generation: SKIPPED ValuationDocument - Unsupported--> <xsd:element name="dataDocument" type="DataDocument"> <xsd:annotation> <xsd:documentation xml:lang="en"> A document containing trade and/or portfolio and/or party data without expressing any processing intention. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED valuationDocument - Unsupported--> </xsd:schema>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.